{
    "condition": "minecraft:entity_properties",
    "entity": "this",
    "predicate": {
        "slots": {
      "hotbar.7": {
        "items": "minecraft:carrot_on_a_stick",
                "components": {"custom_data":{"stroke_glove":1}}
      }
    }
  }
}